Regression - "Desktop effects could not be enabled" on ATI Mobility Radeon

Bug #144077 reported by GabrielGrant on 2007-09-22
46
Affects Status Importance Assigned to Milestone
compiz (Baltix)
Undecided
Unassigned
compiz (Ubuntu)
Undecided
Unassigned
Declined for Gutsy by Travis Watkins
linux-ubuntu-modules-2.6.22 (Ubuntu)
Undecided
Unassigned
Declined for Gutsy by Travis Watkins
xserver-xorg-video-ati (Ubuntu)
Undecided
Unassigned
Declined for Gutsy by Travis Watkins

Bug Description

Binary package hint: compiz

After yesterday's updates, desktop effects were not functioning. Going into System->Preferences->Appearance->Desktop Effects still showed "Normal Effects" selected. Selecting "No effects" and then "Normal Effects" (which has worked in the past to get it going after being disabled) caused the screen to flash as it normally does when Effects are enabled (changing window managers, I suppose), but then after several seconds, the message "Desktop effects could not be enabled" popped up. Rebooting did not fix the problem.

This is a regression from the morning of Friday Sept 21st (although the updates installed may have been from late in the day on Thursday), when desktop effects were functioning completely normally, as they had been since first installing Tribe 5.

The computer is an IBM Thinkpad X31 with an ATI Mobility RADEON M6C-16h (16MB)

quink (quinks) wrote :

Similar problem confirmed on Latitude C610, except that X server exits relatively cleanly and goes back to the gdm logon. The graphics adapter is a 16 MB ATI Mobility RADEON M6 LY. The above error occurred for a screen depth of 24 bits, lowering this to 16 bit causes the complete X.org shutdown. As can be seen, no error occurs within compiz or desktop-effects until the X server crashes.

The output of desktop-effects is attached.

Configuration was a custom xorg.conf on plain-vanilla 7.04, which was confirmed working well with hardware acceleration. The below xorg.conf is identical to that which worked under 7.04. The output of Xorg.0.log should also be attached.

quink (quinks) wrote :
quink (quinks) wrote :
ilialin (ilia-lin) wrote :

Confirm on X31.

little jo (littel-jo) wrote :
Download full text (3.7 KiB)

Hello
I think i have the same problem :
$ lspci
00:00.0 Host bridge: ATI Technologies Inc RS200/RS200M AGP Bridge [IGP 340M] (rev 02)
00:01.0 PCI bridge: ATI Technologies Inc PCI Bridge [IGP 340M]
00:06.0 Multimedia audio controller: ALi Corporation M5451 PCI AC-Link Controller Audio Device (rev 02)
00:07.0 ISA bridge: ALi Corporation M1533/M1535 PCI to ISA Bridge [Aladdin IV/V/V+]
00:08.0 Modem: ALi Corporation M5457 AC'97 Modem Controller
00:09.0 Network controller: Intel Corporation PRO/Wireless 2200BG Network Connection (rev 05)
00:0b.0 CardBus bridge: O2 Micro, Inc. OZ711M1/MC1 4-in-1 MemoryCardBus Controller (rev 20)
00:0b.1 CardBus bridge: O2 Micro, Inc. OZ711M1/MC1 4-in-1 MemoryCardBus Controller (rev 20)
00:0b.2 System peripheral: O2 Micro, Inc. OZ711Mx 4-in-1 MemoryCardBus Accelerator
00:10.0 IDE interface: ALi Corporation M5229 IDE (rev c4)
00:11.0 Bridge: ALi Corporation M7101 Power Management Controller [PMU]
00:12.0 USB Controller: NEC Corporation USB (rev 43)
00:12.1 USB Controller: NEC Corporation USB (rev 43)
00:12.2 USB Controller: NEC Corporation USB 2.0 (rev 04)
00:13.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5705M Gigabit Ethernet (rev 03)
01:05.0 VGA compatible controller: ATI Technologies Inc Radeon IGP 330M/340M/350M
invite2@jo:~$ lspci
00:00.0 Host bridge: ATI Technologies Inc RS200/RS200M AGP Bridge [IGP 340M] (rev 02)
00:01.0 PCI bridge: ATI Technologies Inc PCI Bridge [IGP 340M]
00:06.0 Multimedia audio controller: ALi Corporation M5451 PCI AC-Link Controller Audio Device (rev 02)
00:07.0 ISA bridge: ALi Corporation M1533/M1535 PCI to ISA Bridge [Aladdin IV/V/V+]
00:08.0 Modem: ALi Corporation M5457 AC'97 Modem Controller
00:09.0 Network controller: Intel Corporation PRO/Wireless 2200BG Network Connection (rev 05)
00:0b.0 CardBus bridge: O2 Micro, Inc. OZ711M1/MC1 4-in-1 MemoryCardBus Controller (rev 20)
00:0b.1 CardBus bridge: O2 Micro, Inc. OZ711M1/MC1 4-in-1 MemoryCardBus Controller (rev 20)
00:0b.2 System peripheral: O2 Micro, Inc. OZ711Mx 4-in-1 MemoryCardBus Accelerator
00:10.0 IDE interface: ALi Corporation M5229 IDE (rev c4)
00:11.0 Bridge: ALi Corporation M7101 Power Management Controller [PMU]
00:12.0 USB Controller: NEC Corporation USB (rev 43)
00:12.1 USB Controller: NEC Corporation USB (rev 43)
00:12.2 USB Controller: NEC Corporation USB 2.0 (rev 04)
00:13.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5705M Gigabit Ethernet (rev 03)
01:05.0 VGA compatible controller: ATI Technologies Inc Radeon IGP 330M/340M/350M

$ compiz
Checking for Xgl: not present.
Detected PCI ID for VGA: 01:05.0 0300: 1002:4337 (prog-if 00 [VGA])
Checking for texture_from_pixmap: not present.
Trying again with indirect rendering:
Checking for texture_from_pixmap: present.
Checking for non power of two support: present.
Checking for Composite extension: present.
Comparing resolution (1024x768) to maximum 3D texture size (512): Failed.
aborting and using fallback: /usr/bin/metacity

It's strange because before maximum 3D texture size is 1024...

So i modify /usr/bin/compiz :
        TEXTURE_LIMIT=1024
        #TEXTURE_LIMIT=$(glxinfo -l | grep GL_MAX_TEXTURE_SIZE | sed 's/.*=[^0-9]//g')

and now :...

Read more...

backdoc (alias4) wrote :

I am having the same problem with an nVidia adapter on a Dell Latitude D800. This problem is not unique to ATI.

I am having the same problem with a Thinkpad T41 Radeon mobility.

output of compiz is the same as the above comment

Sergio Zanchetta (primes2h) wrote :

Using Gutsy Tribe 5 live cd on laptop with ATI IGP 340M 64M shared memory compiz doesn't start at all.
If I switch between Normal, Extra, e No Effects nothing changes.
In Feisty everything works fine.

Ingo Planz (planz) wrote :

Same on my T41,

OpenGL vendor string: Tungsten Graphics, Inc.
OpenGL renderer string: Mesa DRI Radeon 20061018 AGP 4x x86/MMX/SSE2 TCL
OpenGL version string: 1.3 Mesa 7.0.1

 GL_MAX_TEXTURE_SIZE = 512

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500]

I also get the white window decoration when tweaking /usr/bin/compiz like Jarvis.

Sergio Zanchetta (primes2h) wrote :
Download full text (3.5 KiB)

UPDATE:

Gutsy Beta Live CD.
Card is ATI IGP 340M

"lspci -nvv" about my card:

01:05.0 0300: 1002:4337 (prog-if 00 [VGA])
        Subsystem: 103c:002a
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B+
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 66 (2000ns min), Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 10
        Region 0: Memory at d8000000 (32-bit, prefetchable) [size=128M]
        Region 1: I/O ports at 9000 [size=256]
        Region 2: Memory at d0300000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at d0320000 [disabled] [size=128K]
        Capabilities: <access denied>

I checked in /usr/bin/compiz but 1002:4337 is not blacklisted.

I tried:
SKIP_CHECKS=yes compiz
in terminal
and this is the output:

Checking for Xgl: not present.
Detected PCI ID for VGA: 01:05.0 0300: 1002:4337 (prog-if 00 [VGA])
Checking for texture_from_pixmap: present.
Checking for non power of two support: present.
Checking for Composite extension: present.
Comparing resolution (1400x1050) to maximum 3D texture size (2048): Passed.
Checking for nVidia: not present.
Checking for FBConfig: present.
Checking for Xgl: not present.
Starting gtk-window-decorator
/usr/bin/compiz.real (core) - Fatal: No GLXFBConfig for default depth, this isn't going to work.
/usr/bin/compiz.real (core) - Error: Failed to manage screen: 0
/usr/bin/compiz.real (core) - Fatal: No manageable screens found on display :0.0

All worked with Feisty and Open Source driver.

My xorg.conf

Section "Files"
EndSection

Section "InputDevice"
 Identifier "Generic Keyboard"
 Driver "kbd"
 Option "CoreKeyboard"
 Option "XkbRules" "xorg"
 Option "XkbModel" "pc105"
 Option "XkbLayout" "it"
EndSection

Section "InputDevice"
 Identifier "Configured Mouse"
 Driver "mouse"
 Option "CorePointer"
 Option "Device" "/dev/input/mice"
 Option "Protocol" "ImPS/2"
 Option "ZAxisMapping" "4 5"
 Option "Emulate3Buttons" "true"
EndSection

Section "InputDevice"
 Identifier "Synaptics Touchpad"
 Driver "synaptics"
 Option "SendCoreEvents" "true"
 Option "Device" "/dev/psaux"
 Option "Protocol" "auto-dev"
 Option "HorizScrollDelta" "0"
EndSection

Section "InputDevice"
 Driver "wacom"
 Identifier "stylus"
 Option "Device" "/dev/input/wacom"
 Option "Type" "stylus"
 Option "ForceDevice" "ISDV4" # Tablet PC ONLY
EndSection

Section "InputDevice"
 Driver "wacom"
 Identifier "eraser"
 Option "Device" "/dev/input/wacom"
 Option "Type" "eraser"
 Option "ForceDevice" "ISDV4" # Tablet PC ONLY
EndSection

Section "InputDevice"
 Driver "wacom"
 Identifier "cursor"
 Option "Device" "/dev/input/wacom"
 Option "Type" "cursor"
 Option "ForceDevice" "ISDV4" # Tablet PC ONLY
EndSection

Section "Device"
 Identifier "ATI Technologies Inc Radeon IGP 330M/340M/350M"
 Driver "ati"
 BusID "PCI:1:5:0"
EndSection

Section "Monitor"
 Identifier "Monitor Generico"
 Option "DPMS"
EndSection

Section "Screen"
 Identifier "Default Screen"
 Device "ATI Technologies Inc Radeon IGP 330M/340M/350M"
 Monitor "Monitor Generico"
 DefaultDepth 24
 SubSection "Display"
  Modes "1400x105...

Read more...

Changed in compiz:
status: New → Confirmed
little jo (littel-jo) wrote :

It fixes for me :)

Jos Dehaes (jos-dehaes) wrote :

On my laptop I run 1400x1050 (native resolution) in 16bpp. I know that compiz works in that setup. But the desktop-effects thing suddenly does not allow me to enable compiz. In 24bpp you can not enable compiz without the problem of a incorrectly rendered right side of the screen.

Desktop effects should allow me to enable compiz in 16bpp (that's the reason I run 16bpp anyway!).

Soundwire (soundwire45) wrote :

I have an acer aspire3620 and this has also happened to me. Desktop-effects were working until updates were installed on 09/28/07. Now when trying to enable the screen flickers and I get a pop-up saying "desktop effects cannot enable".

$ compiz
Checking for Xgl: not present.
Detected PCI ID for VGA: 00:02.0 0300: 8086:2592 (rev 03) (prog-if 00 [VGA])
Checking for texture_from_pixmap: present.
Checking for non power of two support: present.
Checking for Composite extension: present.
Comparing resolution (1280x800) to maximum 3D texture size (2048): Passed.
Checking for nVidia: not present.
Checking for FBConfig: present.
Checking for Xgl: not present.
Starting gtk-window-decorator
/usr/bin/compiz.real (core) - Fatal: No GLXFBConfig for default depth, this isn't going to work.
/usr/bin/compiz.real (core) - Error: Failed to manage screen: 0
/usr/bin/compiz.real (core) - Fatal: No manageable screens found on display :0.0

hope this helps

GabrielGrant (gabrielgrant) wrote :

It seems there are two bugs recently affecting compiz. Bug #141543 relates to the error:
Comparing resolution (1024x768) to maximum 3D texture size (512): Failed.

Which is different from the messages which this bug (#144077) relates to:
Comparing resolution (1280x800) to maximum 3D texture size (2048): Passed.
Checking for nVidia: not present.
Checking for FBConfig: present.
Checking for Xgl: not present.
Starting gtk-window-decorator
/usr/bin/compiz.real (core) - Fatal: No GLXFBConfig for default depth, this isn't going to work.
/usr/bin/compiz.real (core) - Error: Failed to manage screen: 0
/usr/bin/compiz.real (core) - Fatal: No manageable screens found on display :0.0

Some people in have reported that they are experiencing this bug with non-ATI hardware, can someone please confirm that this is in fact the case, and it is not a mis-diagnosed case of bug #141543?

Also, could someone on QA please set a priority status for this? I believe it should be medium or high as it is a) a regression from Tribe 5, and b) a complete showstoper (as far as effects are concerned - not system wide).

Finally, could a developer (or someone else who feels more confident debugging this than myself) let us know if there is any more info we can provide that would be of use in sorting out this problem?

Thanks!
-Gabriel

LuisMompoHanden (luis-flux-it) wrote :

I also could not enable desktop effects, but i am using nvidia hw.

--> lspci
01:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce Go 7600] (rev a1) (prog-if 00 [VGA])
        Subsystem: Acer Incorporated [ALI] Unknown device 0090
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 6
        Region 0: Memory at d1000000 (32-bit, non-prefetchable) [size=16M]
        Region 1: Memory at c0000000 (64-bit, prefetchable) [size=256M]
        Region 3: Memory at d0000000 (64-bit, non-prefetchable) [size=16M]
        Region 5: I/O ports at 2000 [size=128]
        Capabilities: <access denied>

$ compiz
Checking for Xgl: not present.
No whitelisted driver found
aborting and using fallback: /usr/bin/metacity
Fenstermanager-Warnung: In der Konfigurationsdatenbank gefundenes »« ist kein zulässiger Wert für die Tastenkombination »toggle_s

It worked fine with tribe3.

GabrielGrant (gabrielgrant) wrote :

LuisMompoHanden: that error seems to be different from the one discussed in this bug report. I'd suggest searching to see if someone else has reported that problem, and if not, filling a separate bug report to ensure it gets attention.

Thanks!
-Gabriel

Changed in compiz:
status: New → Confirmed

Due to the fact that this bug doesn't affect only thinkpad X31 radeon video card (M6C-16h), I changed the title of this bug, because it seems to be related only with ATI card.
Feel free to change it if I'm wrong.

Sergio Zanchetta (primes2h) wrote :

I found that DRI is not loaded at all.

$ glxinfo| grep render
direct rendering: No (If you want to find out why, try setting LIBGL_DEBUG=verbose)
OpenGL renderer string: Mesa GLX Indirect

Travis Watkins (amaranth) wrote :

The error compiz is outputting is not something compiz has an effect on. If compiz fails at that point something in your driver or configuration is wrong.

Changed in compiz:
status: Confirmed → Invalid
Sergio Zanchetta (primes2h) wrote :

Yes Travis, I had doubts too about compiz.

In the meantime I found there is a problem in the way drm and radeon modules are loaded I think.

Using Gutsy live cd I found this workaround.

1) Go to ALT+F1 console.
2) stop gdm $ sudo /etc/init.d/gdm stop
3) unload radeon and drm modules $ sudo rmmod radeon drm
4) reload drm and radeon modules in this order $ sudo modprobe drm radeon
5) start gdm again $ sudo /etc/init.d/gdm start

It works for me.

Sergio Zanchetta (primes2h) wrote :

I meant Gutsy Beta live cd. Sorry.

on gutsy beta(net install with updates) with M6 LY (16MB) using the radeon driver makes stuff unstable, restarting X will make it hang for instance. Ati driver seems to not have this issues and is stable, but no desktop effects. This is a regression from tribe 4 where the radeon driver worked on out of the box and where all desktop effects worked.
also starting the desktop configuration tool and testing the default configuration garbles the screen and crashes X ,making the system unusable (cant get console, didnt try sshing in)

uga (yegor-jbanov) wrote :

I am getting "Desktop effects could not be enabled" trying to select "Normal" effects with my ATI Mobility X1400 card. I know that 3D acceleration works, glxgears works like a charm. I think the error message should have a "Details..." section, since the cause of the problem is known (the driver is not whitelisted):

uga@uga-laptop:~$ compiz
Checking for Xgl: not present.
No whitelisted driver found
aborting and using fallback: /usr/bin/metacity

kao (kao1985) wrote :

The problem also regards to hp 6710b laptop with intel x3100. No misbehavior, only warning window.
Getting error above while trying run compiz by hands in terminal

kao@Phobos:~$ compiz
Checking for Xgl: not present.
Blacklisted PCIID '8086:2a02' found
aborting and using fallback: /usr/bin/metacity
Window manager warning: "" found in configuration database is not a valid value for keybinding "toggle_shaded"
DRI is OK.
kao@Phobos:~$ glxinfo |grep render
direct rendering: Yes
OpenGL renderer string: Mesa DRI Intel(R) 965GM 4.1.3002

So, it seems the problem with X occured: missed option before compiling or whatever.

I think that may be something with the ATI video card because i have no desktop effects. When i try to enable them, window borders dissapear. In the Feisty version i could enable desktop effects with no problem, just some times the window borders crashed or not respond. When upgraded to the Gutsy, one of the installed packages was a new driver for ATI vido cards, and may that is the problem.

Miguel Gaspar (ghaspias) wrote :

I also have desktop-effects / compiz running in Feisty, in an Asus L3000 laptop with an ATI Radeon 7500 @ 1400x1050x16. In the live ubuntu 7.10 beta desktop, I noticed that:
- direct rendering isn't working by default
- the appearance application has the 'normal' setting selected, but no desktop-effects running.
- starting compiz manually gave the "/usr/bin/compiz.real (core) - Fatal: No GLXFBConfig for default depth, this isn't going to work" message.

I followed the suggestion regarding the load order of the modules (load dri, then radeon); upon inserting dri, received several messages from the kernel regarding missing symbols (didn't take notes, I'll try to replicate that and update here).
- direct rendering is working ok
- Trying to start compiz would now gives the "Comparing resolution (1400x1050) to maximum 3D texture size (512): Failed." message.

Is it possible that there are 3 bugs here? (dri module, load order, and 3D texture)

kao (kao1985) wrote :

As for me, there is blacklisted pciid for my video in /usr/bin/compiz. I saw there ati cards also.
So, commenting of respective lines have helped me.

Sergio Zanchetta (primes2h) wrote :

@kao
This bug is not related to a blacklisted pci id.
You don't have the problem reported here.

Jerone Young (jerone) wrote :

I see the exact same problem on my Thinkpad T41p with ATI Mobility Fire GL T2. The problem appears to be the radeon drm kernel module has errors when it's loading. So no 3D acceleration what so ever works.

@jerone
Does the workaround make DRI and compiz start?

2007/10/10, Jerone Young <email address hidden>:
>
> I see the exact same problem on my Thinkpad T41p with ATI Mobility Fire
> GL T2. The problem appears to be the radeon drm kernel module has errors
> when it's loading. So no 3D acceleration what so ever works.
>
> --
> [gutsy] Regression - "Desktop effects could not be enabled" on ATI
> Mobility Radeon
> https://bugs.launchpad.net/bugs/144077
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Figured out my problem. The only way to run effects on my system is to install xserver-xgl, which I did. I know it hasn't been declared stable yet, but it works. So the problem is in the unclear error message.

A very nice article about this can be found here: http://forlong.blogage.de/article/2007/10/2/Desktop-effects-by-default-in-Gutsy---how-Compiz-Fusion-enhances-Ubuntus-desktop-of-version-710

It is indeed a little not logical for Gutsy to recommend to install a driver "In order to use your hardware more efficiently" which then doesn't support the enhanced desktop features.

This problem started for me one I added "virtual 2048 2048" to my default screen configuration, in order to use a second monitor with xrandr 1.2

It worked fine before

Ati Mobility 7000 IGP

anonym (launch-mailinator) wrote :

This is happening for me too - with a Nvidia Quadro NVS 110M/GeForce Go 7300, and the latest restricted drivers. It only happened just after an xgl and drivers update, so I'm not sure what the problem is. Attached is the xorg.conf file.

scott@scott-laptop:~$ compiz --replace
Checking for Xgl: not present.
No whitelisted driver found
aborting and using fallback: /usr/bin/metacity
Window manager warning: "Disabled" found in configuration database is not a valid value for keybinding "toggle_shaded"
Window manager warning: "Disabled" found in configuration database is not a valid value for keybinding "switch_windows"

Jef Damen (jef-damen) wrote :

After the updates of today (I think about 10 updates) and a restart the desktop effects where disabled and it was not possible to enable it again. I have an Asus A7Vc laptop with an ATI Mobility Radeon X700 card.

Jerone Young (jerone) wrote :

Here is what I see in dmesg launching 10/12 Gutsy-RC live cd on my Thinkpad T41p with ATI Fire GL T2 Mobility:

[ 114.748000] [drm:radeon_cp_init] *ERROR* radeon_cp_init called without lock held
[ 114.748000] [drm:drm_unlock] *ERROR* Process 8080 using kernel context 0

glxinfo shows:
<snip>
name of display: :0.0
display: :0 screen: 0
direct rendering: No (If you want to find out why, try setting LIBGL_DEBUG=verbo
se)
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
</snip>

So no acceleration for radeon. I will try the work around and see what happens.

Jerone Young (jerone) wrote :

Doing the workaround worked! Here is what I did

1) ALT+F1 (to get to console)
2) stopped gdm
3) unloaded modules radeon drm
4) reloaded modules radeon drm
5) ALT+F7 to get to xwin .. logout
6) start gdm

The order is a little clumsy .. but it just worked after I did this. So the problem is how the radeon drm module is being loaded.

Changed in linux-ubuntu-modules-2.6.22:
status: New → Confirmed
Sergio Zanchetta (primes2h) wrote :

@jef damen

Your problem is due to blacklisting of your card.
See Bug #115283

Sergio Zanchetta (primes2h) wrote :

@ all

There is a shorter way to use the workaround.

1)Open a gnome terminal.
2)remove radeon and drm modules
3)reload again modules
4)Press Ctrl+Alt+BackSpace for reloading gdm.

Sergio Zanchetta (primes2h) wrote :

This problem happens for me with live cd. (Release Candidate too)

Has anyone tried in a installed system?

Matteo Z (matteozandi) wrote :

Some cards are blacklisted, have a look at /usr/bin/compiz

# blacklist based on the pci ids
# See http://wiki.compiz-fusion.org/Hardware/Blacklist for details
T=" 1002:5954 1002:5854 1002:5955" # ati rs480
T="$T 1002:4153" # ATI Rv350
T="$T 8086:2982 8086:2992 8086:29a2 8086:2a02 8086:2a12" # intel 965
T="$T 8086:2972" # i965 (x3000)
T="$T 1002:3152 1002:3150 1002:5462 1002:5653 " # ati X300 X600,X600 X700
BLACKLIST_PCIIDS="$T"

I have a X700 card and it always worked fine with compiz. According to the wiki page above, my card shouldn't be blacklisted. If I remove the line corresponding to x700, compiz works fine.

I think that the updated list should be packaged.

Matteo

Sergio Zanchetta (primes2h) wrote :

@Matteo
Please look at the Bug I reported above (Bug #115283).
In particular follow the discussion from https://bugs.launchpad.net/bugs/115283 (Yesterday) to the end.
I think wiki page is not yet updated.

And put comments on that Bug please.

professordes (d-a-johnston) wrote :

This bug still appears to be present as of 12/10/07 with all updates applied on an IBM X31. Compiz-fusion under feisty (and beryl) had worked. The graphics chip is a Radeon Mobility M6 LY.

Trying compiz --replace in a terminal gives:

Checking for Xgl: not present.
Detected PCI ID for VGA: 01:00.0 0300: 1002:4c59 (prog-if 00 [VGA])
Checking for texture_from_pixmap: not present.
Trying again with indirect rendering:
Checking for texture_from_pixmap: present.
Checking for non power of two support: present.
Checking for Composite extension: present.
Comparing resolution (1024x768) to maximum 3D texture size (512): Failed.
aborting and using fallback: /usr/bin/metacity

Mucking about with removing and reinserting drm/radeon modules has no effect.

@professordes and all with "Comparing resolution to maximum 3D texture size
failure"

Please don't post here, your Bug is different.
It's much more like Bug #141543 or Bug #124519

2007/10/12, professordes <email address hidden>:
>
> This bug still appears to be present as of 12/10/07 with all updates
> applied on an IBM X31. Compiz-fusion under feisty (and beryl) had
> worked. The graphics chip is a Radeon Mobility M6 LY.
>
> Trying compiz --replace in a terminal gives:
>
> Checking for Xgl: not present.
> Detected PCI ID for VGA: 01:00.0 0300: 1002:4c59 (prog-if 00 [VGA])
> Checking for texture_from_pixmap: not present.
> Trying again with indirect rendering:
> Checking for texture_from_pixmap: present.
> Checking for non power of two support: present.
> Checking for Composite extension: present.
> Comparing resolution (1024x768) to maximum 3D texture size (512): Failed.
> aborting and using fallback: /usr/bin/metacity
>
> Mucking about with removing and reinserting drm/radeon modules has no
> effect.
>
> --
> [gutsy] Regression - "Desktop effects could not be enabled" on ATI
> Mobility Radeon
> https://bugs.launchpad.net/bugs/144077
> You received this bug notification because you are a direct subscriber
> of the bug.
>

So this appears to be only isolated to the live CD. I just did an install to disk and it worked on bootup. 3D out of the box (just not on the live cd). I did I fresh install from the Gutsy RC iso .. but it just worked on bootup on my Thinkpad T41p.

GabrielGrant (gabrielgrant) wrote :

Actually, @professordes is on to something: I took note because he is using the same hardware as I am (Thinkpad X31 with Radeon Mobility M6 - the hardware with which I originally reported this bug). I was getting the error described my comment #14 above ( https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/144077/comments/14 ):
/usr/bin/compiz.real (core) - Fatal: No GLXFBConfig for default depth, this isn't going to work.

With:
Comparing resolution (1280x800) to maximum 3D texture size (2048): Passed.

But checking again today, it appears that there is a further regression, as I'm erroring out at the same place as @professordes, even before the check for GLXFBConfig:

No nvidia hardware available
Checking for Xgl: not present.
Detected PCI ID for VGA: 01:00.0 0300: 1002:4c59 (prog-if 00 [VGA])
Checking for texture_from_pixmap: not present.
Trying again with indirect rendering:
Checking for texture_from_pixmap: present.
Checking for non power of two support: present.
Checking for Composite extension: present.
Comparing resolution (1024x768) to maximum 3D texture size (512): Failed.
aborting and using fallback: /usr/bin/metacity

So while I agree with @Sergio Zanchetta that this is certainly a different error, it is worthwhile to note that in order (for at least some people) to test a fix for this bug, that regression must be solved. Have others who have been experiencing this bug (GLXFBConfig) now erroring out at the max 3D texture size check, or is this specific to our hardware? Further discussion can be continued in bug #124519.

Cheers,

-Gabriel

GabrielGrant (gabrielgrant) wrote :

@Jerone Young:

For me, on the Thinkpad X31, this problem occurred with a full install - so I don't think we can say that the livecd is solely at fault. What is the error you receive with the livecd? is it exactly the same?

Cheers,
-Gabriel

Wolf Rogner (war-rsb) wrote :

On hp nx8220 same thing

wolf@hb:~$ gnome-appearance-properties
No nvidia hardware available
Checking for Xgl: not present.
Blacklisted PCIID '1002:3150' found
aborting and using fallback: /usr/bin/metacity

Here is my lspci

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M24 1P [Radeon Mobility X600] [1002:3150] (prog-if 00 [VGA])
        Subsystem: Hewlett-Packard Company Unknown device [103c:0934]
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at c0000000 (32-bit, prefetchable) [size=128M]
        I/O ports at 2000 [size=256]
        Memory at c8800000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at c8820000 [disabled] [size=128K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Express Endpoint IRQ 0
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-

Jerone Young (jerone) wrote :

@GabrielGrant

Did you try full install from the latest (10/10?) Gutsy RC (release candidate) Live CD?

If not get it here:
http://releases.ubuntu.com/releases/gutsy/

 It just works for me now .. though after sometime it will hard lockup if you are using compiz. This is another issue for another bug.

GabrielGrant (gabrielgrant) wrote :

@Jerone Young:

I installed from tribe 5, not the RC, but it has all updates, so should be the same. Unfortunately it is non-trivial for me to try the new RC disc live, since the X31 has no CD rom drive - it requires the manual creation of a bootable usb key - but like I said, I don't think that reinstalling vs. upgrading should make any difference.

Can you boot from the livecd again and report the error message you receive, to see if it is the same as this one?

Thanks,
-Gabriel

Jerone Young (jerone) wrote :

@ Gabriel Grant

 Yeah your best bet is a USB CDrom drive. The error I would bet while under the live cd is in dmesg:

[ 114.748000] [drm:radeon_cp_init] *ERROR* radeon_cp_init called without lock held
[ 114.748000] [drm:drm_unlock] *ERROR* Process 8080 using kernel context 0

there maybe more. But what I have found though is that the desktop effects (using compiz) are just not very stable. It works good for a while, then it will totally lock the machine. Well at least the video, tasks are still running on the machine. Basically you can't do anything. I just ended up turning it off completely.

shemgp (shemgp) wrote :

Hello,

After an update, I started to have this error when starting compiz..

Checking for Xgl: not present.
Detected PCI ID for VGA: 01:05.0 0300: 1002:4336 (prog-if 00 [VGA])
Checking for texture_from_pixmap: not present.
Trying again with indirect rendering:
Checking for texture_from_pixmap: present.
Checking for non power of two support: present.
Checking for Composite extension: present.
Comparing resolution (1024x768) to maximum 3D texture size (1024): Passed.
Checking for nVidia: not present.
Checking for FBConfig: present.
Checking for Xgl: not present.
Starting gtk-window-decorator

....
Fatal: No GLXFBConfig for default depth, this isn't going to work.
...

I looked at the /var/log/Xorg.0.log and it had an error saying that it couldn't find radeon_dri.so
so i figured the reason was that libgl1-mesa-dri was not installed, so i had no acceleration at all. I installed it and it worked.

Maybe this will help someone. I'm not sure why libgl1-mesa-dri was not installed. i think it was installed before but was removed by an update or something.

Maybe ubuntu has to have a page where people can follow steps in troubleshooting compiz problems.. eg. check acceleration, check blacklist, etc...

kaka0502 (kaka0502) wrote :

Installing xserver-xgl solved the problem in my case.

code:
sudo apt-get install xserver-xgl

stik (stiksinc) wrote :

Make sure the following is installed through synaptic package manager:
(gnome desktop)

compiz
compizconfig-settings-manager
compiz-core
compiz-dev
compiz-fusion-plugins-extra
compiz-fusion-plugins-main
compiz-gnome
compiz-plugins
libcompizconfig0
libcompizconfig0-dev
libcompizconfig-backend-gconf
libdecoration0
python-compizconfig

If you dont see these installed, then mark for installation (you may need to reboot)

Running smooth on a T41p.

Thanks

On 10/29/07, stik <email address hidden> wrote:
>
> Make sure the following is installed through synaptic package manager:
> (gnome desktop)
>
> libcompizconfig0-dev

I don't think this package is necessary? Nothing depends on it.

I have everything else you list installed; I think the problem may lie
elsewhere.

I have a Radeon 9700 and trying to execute compiz with the open source driver hangs the X Window completely. I can move the mouse but the screen is totally unresponsive and ctrl-alt-back does not work, I have to reset.
I have tried with the Live CD and the result is the same, once it tries to enable desktop-effects (by default) I get a black screen and the CD stops spinning. The funny thing is that using a Beta Live CD I can log in and desktop effects are working perfectly.

stik (stiksinc) wrote :

> Andrew
Yes, I noticed that you didn't need that package...

Well it seems that now I am locking up about a minute into X, (while 3D effects are on)
I did install xserver-xgl and had problems. I removed xserver-xgl and then had no lock up at all. Then after a reboot it locked up approx. 1 minute into X.

> getaceres
Yes, the beta live CD did work for me as well. No lock up.

getaceres (getaceres) wrote :

It's much worse than I thought. It hanged my system WITHOUT using Compiz at all. I'm back to fglrx while it's fixed.

Stéphane Marguet (stemp) wrote :

Could you provide your xorg.conf file ?
In attachments there is a modified xorg.conf (with a lot of extra options) and one with driver 'nv' !
If it's possible could you give the differences between the livecd xorg.conf and the 'install' one ?

On 10/30/07, getaceres <email address hidden> wrote:
>
> It's much worse than I thought. It hanged my system WITHOUT using Compiz
> at all. I'm back to fglrx while it's fixed.

Forgive the question, but is this the same bug reported here? This is
specifically for Radeon cards where we cannot enable Desktop Effects. Does
that happen to you if you use the Appearance capplet?

Well, if I use the "ati" driver then I cannot enable desktop effects. If I use the "radeon" driver it activates the desktop effects (I can see the shadow) but the screen hangs immediatly. Also, when the Live CD tries to enable them, it hangs too but this time it leaves a black screen and the cursor (which I can move but nothing more).

On 10/31/07, getaceres <email address hidden> wrote:
>
> Well, if I use the "ati" driver then I cannot enable desktop effects. If
> I use the "radeon" driver it activates the desktop effects (I can see
> the shadow) but the screen hangs immediatly. Also, when the Live CD
> tries to enable them, it hangs too but this time it leaves a black
> screen and the cursor (which I can move but nothing more).

This sounds like a different, if not closely related, bug.

I'll search for this bug and if I can't find nothing related, I'll open a new bug report then.

On 10/31/07, Travis Watkins <email address hidden> wrote:
>
> ** Changed in: eagle (Ubuntu)
> Sourcepackagename: compiz => eagle

Is this right?

This has nothing to do with eagle, so compiz can get the bugmail again!

stik (stiksinc) wrote :

Well, here is an interesting update. I have desktop effects (3D) running good so far. I am still trying to figure out what is causing the crash though.

Here is what I did to fix it:

Run synaptic package manager.
Search for (without quotes) " xserver "
Now, scroll down the list until you find " xserver-xorg-video-all "
Mark this for removal.
Now, scroll down to " xserver-xorg-video-ati "
Mark this for removal.
Click on Apply.
Restart.

Now, it will probably give some errors but just ignore it, it will go to a default driver and be very choppy.

Okay, now that you have logged into the huge display.
Run Synaptic package manager AGAIN.
Search for (without quotes) " xserver "
Now scroll down to " xserver-xorg-video-ati "
Mark this for re-installation.
Click on Apply.
Restart.

Now, you will have your desktop back to normal. Now try 3D effects. Please message back on other errors so I can figure the problem out further. Or hopefully it will work for you. It might be an ati driver being overwritten.

stik (stiksinc) wrote :

I did get it to crash again, but only when I intensely used the 3D and got it to lock. It seems like the video memory is being filled and not released. Now instead of just locking up in one minute, you are limited to how much 3D you can use.

I am going to see what I can get from that beta 7.10, because 3D worked on it perfectly.

LoL, sorry guys but at least it works for a longer period of time.

labinnsw (labinnsw) wrote :

 >kaka0502 wrote on 2007-10-23: (permalink)

 >Installing xserver-xgl solved the problem in my case.

 >code:
 >sudo apt-get install xserver-xgl

Be very careful!!! I did this and now I cannot log in.

>Make sure the following is installed through synaptic package manager:
>(gnome desktop)

>compiz
>compizconfig-settings-manager
>compiz-core
>compiz-dev
>compiz-fusion-plugins-extra
>compiz-fusion-plugins-main
>compiz-gnome
>compiz-plugins
>libcompizconfig0
>libcompizconfig0-dev
>libcompizconfig-backend-gconf
>libdecoration0
>python-compizconfig

>If you dont see these installed, then mark for installation (you may need to reboot)

>Running smooth on a T41p.

>Thanks

Also does not work.

Now I have to find a fix for logging in.

tripple_face (praisethel0rd) wrote :

i am using a hp zt3027 laptop
specs: 512mb ram, ATI RADEON MOBILITY 9200 (dont know how many mb that is)
Using UBUNTU 7.10 Gutsy Gibbon

$compiz
Checking for Xgl: not present.
Detected PCI ID for VGA: 01:00.0 0300: 1002:4c66 (rev 01) (prog-if 00 [VGA])
Checking for texture_from_pixmap: not present.
Trying again with indirect rendering:
Checking for texture_from_pixmap: present.
Checking for non power of two support: present.
Checking for Composite extension: present.
Comparing resolution (1280x800) to maximum 3D texture size (1024): Failed.
aborting and using fallback: /usr/bin/metacity

need help! please advice...thank you

EPS (eps-eps) wrote :

2 labinnsw:

>>Installing xserver-xgl solved the problem in my case.

 >>code:
 >>sudo apt-get install xserver-xgl

>Be very careful!!! I did this and now I cannot log in.

I have now the same problem. How can a fix it to log on to Ubuntu?

labinnsw (labinnsw) wrote :

I don't remember exactly what I did, but I usually bookmark or save any fixes that I use. If you have an additional partition or hard disk, a fresh install is the easy way out. In the mean time I will try to find out how I got that problem fixed.

labinnsw (labinnsw) wrote :

Sorry EPS, I cannot find the fix I used, neither in my bookmarks not my files. Hopefully someone will come to your aid soon or you may need to think about doing another search for this new problem.

Bryce Harrington (bryce) wrote :

There's not been a comment on this bug for quite some time - is anyone still having this issue with 8.04.1 or Intrepid?

Changed in xserver-xorg-video-ati:
status: Confirmed → Incomplete
Andrew Conkling (andrewski) wrote :

No, no change. It still doesn't work, exactly as reported.

Changed in xserver-xorg-video-ati:
status: Incomplete → Confirmed
Sergio Zanchetta (primes2h) wrote :

My problem was fixed with Gutsy final release live cd.
Dri and radeon modules are loaded correctly now, since that time.

It seems that here it has been reported several bugs, probably different one from the other.
I think It needs a clarification, having a feedback from GabrielGrant, whom reported this big first, should do the trick.

Changed in xserver-xorg-video-ati:
status: Confirmed → Incomplete
Bryce Harrington (bryce) wrote :

Alright, good point Sergio.

GabrielGrant - can you please test Intrepid Alpha-4 or newer if you're having this same issue?

Everyone else, please test Intrepid Alpha -4 or newer and post a NEW bug report if you're still having trouble.

Changed in xserver-xorg-video-ati:
status: Incomplete → New
status: New → Incomplete
Andrew Conkling (andrewski) wrote :

Bryce, I just filed bug 262476, still having the issue.

Bryce Harrington (bryce) wrote :

Andrew, your problem is just that compiz is blacklisted for ATI-gfx-based laptops.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers